FreeMat

- Main Page
- Related Pages

vtkImageCityBlockDistance

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageCityBlockDistance creates a distance map using the city block (Manhatten) distance measure. The input is a mask. Zero values are considered boundaries. The output pixel is the minimum of the input pixel and the distance to a boundary (or neighbor value + 1 unit). distance values are calculated in pixels. The filter works by taking 6 passes (for 3d distance map): 2 along each axis (forward and backward). Each pass keeps a running minimum distance. For some reason, I preserve the sign if the distance. If the input mask is initially negative, the output distances will be negative. Distances maps can have inside (negative regions) and outsides (positive regions).

To create an instance of class vtkImageCityBlockDistance, simply invoke its constructor as follows

      obj = vtkImageCityBlockDistance

# Methods

The class vtkImageCityBlockDistance has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageCityBlockDistance class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageCityBlockDistance = obj.NewInstance ()`
- `vtkImageCityBlockDistance = obj.SafeDownCast (vtkObject o)`